> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonderplan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Groups

> In Sonderplan, a Group is a set of users who share the same permissions and access rights. Groups simplify user management by assigning roles and responsibilities collectively rather than individually.

For instance, you can create groups for administrators and staff members, each with tailored permissions, such as access to specific resources, schedules, or features. You can also restrict access to certain modules, like quotes and invoices, for specific groups.

Groups ensure consistent access control, streamline role-based management, and make it easy to update permissions for multiple users at once.

<Note>`READ` access to the `ADMIN` module is required to access this endpoint</Note>



## OpenAPI

````yaml /api-reference/openapi-mintlify.yaml get /v2/group
openapi: 3.0.0
info:
  title: Sonderplan API
  description: >
    ## Overview

    You can use our REST API to securely access and modify the data within your
    Sonderplan account. This includes all the information within your bookings,
    projects and invoices that you can use to import / export data or create
    integrations with other systems and software that you use


    ### General Notes


    #### Specifying Fields

    The Sonderplan REST API allows you to specify a comma delimited string of
    exactly which fields are returned, using the `fields` parameter. Using this
    parameter has several advantages including:


    1. In future API versions we may change which fields are presented by
    default, so explicitly specifying the fields required overrides the defaults
    and ensure the fields are served

    2. Limiting fields reduces the processing we need to do and allows us to
    send you the data faster

    3. Some search filters only work if the field you are searching is added to
    the `fields` parameter.


    Example:


    ```

    fields=id,name,start,duration_min

    ```


    ### Applying Filters


    The Query Parameters section in each endpoint shows you special options that
    can be added to your request to customise the response we send you.


    Most endpoints offer the following query params:


    | Query Parameter |
    Description                                                    |

    |-----------------|----------------------------------------------------------------|

    | `fields`        | Only send the specified
    fields                                 |

    | `id`            | Specify one or more ids (comma seperated) of records to
    return |

    | `limit`         | The maximum number of records to
    return                        |

    | `page`          | The page number of records to
    return                           |

    | `order_asc` | Specify which field should be used to sort records
    `ascending` |

    | `order_desc` | Specify which field should be used to sort records
    `descending` |


    In addition to the standard `id` param, you can also specify most other
    fields as a query parameter, useful for performing searching and filtering
    of records.


    For example, you can specify `repeat_master_id=<repeat_booking_id>` to
    return all repeat children of that booking.


    #### Other Query Params


    Refer to the specific API endpoint documentation to see which other query
    params can be used.


    For example, some endpoints allow specifying `updated_after=<UNIX
    TIMESTAMP>` which will only send added, edited and even deleted records that
    were modified after the unix timestamp.


    #### Applying multiple filters


    By default, multiple filters are chained together using **OR** (either
    filter can be true and it will be included). You can change this behaviour
    by specifying `filter_operator=AND`, so each filter must be true to be
    included.


    #### Filtering by Custom Field Values


    For modules that include custom fields, you can search by the value of a
    custom field by adding the `custom_field_<field id>` to the URL query
    parameters. You **must** also specify the custom field in the `fields`
    parameter.


    ```

    GET
    https://api.sonderplan.com/v2/booking?fields=id,name,custom_field_238938&custom_field_238938=Offline

    ```


    This will return custom fields that contain the word 'Offline'.
  contact:
    email: info@sonderplan.com
  version: '2.0'
servers:
  - url: https://api.sonderplan.com
    description: Production Server
security: []
tags:
  - name: Booking
    description: Booking related operations
  - name: Project
    description: Project related operations
  - name: Resource
    description: Resource related operations
  - name: Contact
    description: Contact related operations
  - name: Quote
    description: Quote related operations
  - name: Invoice
    description: Invoice related operations
  - name: Invoice Template
    description: Invoice template related operations
  - name: Billable Item
    description: Billable item related operations
  - name: Rate Scheme
    description: Rate scheme related operations
  - name: Tax
    description: Tax related operations
  - name: Workspace
    description: Workspace (formerly Schedule) related operations
  - name: User
    description: User related operations
  - name: Group
    description: Group related operations
  - name: Status
    description: Status related operations
  - name: Custom Field
    description: Custom field related operations
  - name: Calendar Subscription
    description: Calendar Subscription Import related operations
  - name: Time Entry
    description: Time Entry related operations
  - name: Time Activity
    description: Time Activity related operations
paths:
  /v2/group:
    get:
      tags:
        - Group
      summary: Get Groups
      description: >-
        In Sonderplan, a Group is a set of users who share the same permissions
        and access rights. Groups simplify user management by assigning roles
        and responsibilities collectively rather than individually.


        For instance, you can create groups for administrators and staff
        members, each with tailored permissions, such as access to specific
        resources, schedules, or features. You can also restrict access to
        certain modules, like quotes and invoices, for specific groups.


        Groups ensure consistent access control, streamline role-based
        management, and make it easy to update permissions for multiple users at
        once.


        <Note>`READ` access to the `ADMIN` module is required to access this
        endpoint</Note>
      operationId: 9c72797fa13251b639d7de69cf1cdd2e
      parameters:
        - name: id
          in: query
          description: One or more (comma seperated) IDs of groups to retrieve
          schema:
            type: string
        - name: name
          in: query
          description: Perform a full text search for the group name
          schema:
            type: string
        - name: description
          in: query
          description: Perform a full text search for the group description
          schema:
            type: string
        - name: acl_schedule
          in: query
          description: Filter groups that match the permission for Schedule Module
          schema:
            type: string
            enum:
              - '--'
              - R-
              - RW
        - name: acl_project
          in: query
          description: Filter groups that match the permission for Project Module
          schema:
            type: string
            enum:
              - '--'
              - R-
              - RW
        - name: acl_task
          in: query
          description: Filter groups that match the permission for Task Module
          schema:
            type: string
            enum:
              - '--'
              - R-
              - RW
        - name: acl_finance
          in: query
          description: Filter groups that match the permission for Finance Module
          schema:
            type: string
            enum:
              - '--'
              - R-
              - RW
        - name: acl_report
          in: query
          description: Filter groups that match the permission for Report Module
          schema:
            type: string
            enum:
              - '--'
              - R-
              - RW
        - name: acl_contact
          in: query
          description: Filter groups that match the permission for Contact Module
          schema:
            type: string
            enum:
              - '--'
              - R-
              - RW
        - name: acl_admin
          in: query
          description: Filter groups that match the permission for Admin Module
          schema:
            type: string
            enum:
              - '--'
              - R-
              - RW
        - name: acl_account
          in: query
          description: Filter groups that match the permission for Account Module
          schema:
            type: string
            enum:
              - '--'
              - R-
              - RW
        - $ref: '#/components/parameters/fields'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/order_asc'
        - $ref: '#/components/parameters/order_desc'
        - $ref: '#/components/parameters/filter_operator'
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Group'
                  meta:
                    $ref: '#/components/schemas/pagination'
                type: object
        '401':
          description: Authorization information is missing or invalid
      security:
        - bearer: []
components:
  parameters:
    fields:
      name: fields
      in: query
      description: Comma seperated list of fields you wish to return
      schema:
        type: string
      example: id,name
    page:
      name: page
      in: query
      description: Specify the page of results you wish to return
      schema:
        type: integer
    limit:
      name: limit
      in: query
      description: The number of results returned per page. Default if not specified is 10
      schema:
        type: integer
    order_asc:
      name: order_asc
      in: query
      description: >-
        Specify the field (with type of string or integer) you wish to order
        (ascending) the response with
      schema:
        type: string
    order_desc:
      name: order_desc
      in: query
      description: >-
        Specify the field (with type of string or integer) you wish to order
        (descending) the response with
      schema:
        type: string
    filter_operator:
      name: filter_operator
      in: query
      description: Specify if multiple filters should be combined with OR or AND logic
      schema:
        type: string
        default: OR
        enum:
          - OR
          - AND
  schemas:
    Group:
      title: Group Model
      description: Standard group model that returns all properties by default
      type: object
      allOf:
        - properties:
            id:
              description: Automatically generated, unique group id
              type: integer
              readOnly: true
              example: 5693
            name:
              description: Name of the group
              type: string
              example: Video Editors
            description:
              description: Description about the group
              type: string
              example: Full schedule access, limited project access
            is_default:
              description: If true, this is a system group that cannot be edited
              type: boolean
              readOnly: true
              example: true
            members:
              description: If true, this is a system group that cannot be edited
              type: array
              items:
                $ref: '#/components/schemas/GroupUser'
            acl_schedule:
              description: Access level to the Schedule module
              type: string
              enum:
                - '--'
                - R-
                - RW
              example: R-
            acl_project:
              description: Access level to the Project module
              type: string
              enum:
                - '--'
                - R-
                - RW
              example: R-
            acl_task:
              description: Access level to the Task module
              type: string
              enum:
                - '--'
                - R-
                - RW
              example: R-
            acl_finance:
              description: Access level to the Finance module
              type: string
              enum:
                - '--'
                - R-
                - RW
              example: R-
            acl_report:
              description: Access level to the Report module
              type: string
              enum:
                - '--'
                - R-
                - RW
              example: R-
            acl_contact:
              description: Access level to the Contact module
              type: string
              enum:
                - '--'
                - R-
                - RW
              example: R-
            acl_admin:
              description: Access level to the Admin module
              type: string
              enum:
                - '--'
                - R-
                - RW
              example: R-
            acl_account:
              description: Access level to the Account module
              type: string
              enum:
                - '--'
                - R-
                - RW
              example: R-
          type: object
        - $ref: '#/components/schemas/commonModelMeta'
    pagination:
      title: Pagination Meta Model
      properties:
        pagination:
          $ref: '#/components/schemas/meta'
      type: object
    GroupUser:
      title: Group members user model
      description: Limited fields user model
      properties:
        id:
          type: integer
          example: 4
        first_name:
          type: string
          example: Jane
        last_name:
          type: string
          example: Smith
        primary_email:
          type: string
          example: jane.smith@example.com
      type: object
    commonModelMeta:
      title: Common Meta Model
      properties:
        created_id:
          description: The unique ID of the person (user) who created this record
          type: integer
          readOnly: true
          example: 3
        created:
          description: The UNIX time value of the creation time
          type: integer
          readOnly: true
          example: 1388552400
        updated_id:
          description: The unique ID of the person (user) who last updated this record
          type: integer
          readOnly: true
          example: 3
        updated:
          description: The UNIX time value of the last update
          type: integer
          readOnly: true
          example: 1388552400
      type: object
    meta:
      title: Page Meta Model
      properties:
        total:
          type: integer
          example: 1
        count:
          type: integer
          example: 1
        per_page:
          type: integer
          example: 1
        current_page:
          type: integer
          example: 1
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````